Package: org.grails.plugins.web.api

## [Groovy] Class MimeTypesApiSupport

- org.grails.plugins.web.api.MimeTypesApiSupport

- Support class for dealing with calls to withFormat.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.LinkedHashMap<java.lang.String, java.lang.Object>` | `getDefinedFormats(groovy.lang.Closure callable)`
    `` | `protected java.lang.String` | `lookupFormat(java.lang.Object formatProvider)`
    `` | `protected MimeType[]` | `lookupMimeTypes(java.lang.Object formatProvider)`
    `` | `protected java.lang.Object` | `resolveAllFormat(java.lang.Object formatProvider, java.util.LinkedHashMap<java.lang.String, java.lang.Object> formats)` implementation for resolving "all" format
    `<T>` | `T` | `withFormat(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure<T> callable)`
    `<T>` | `T` | `withFormat(javax.servlet.http.HttpServletResponse response, groovy.lang.Closure<T> callable)`
    `` | `protected java.lang.Object` | `withFormatInternal(java.lang.Object formatProvider, java.util.LinkedHashMap<java.lang.String, java.lang.Object> formats)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### java.util.LinkedHashMap<java.lang.String, java.lang.Object> getDefinedFormats(groovy.lang.Closure callable)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.lang.String lookupFormat(java.lang.Object formatProvider)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected MimeType[] lookupMimeTypes(java.lang.Object formatProvider)

    - #### protected java.lang.Object resolveAllFormat(java.lang.Object formatProvider, java.util.LinkedHashMap<java.lang.String, java.lang.Object> formats)

      implementation for resolving "all" format

      Parameters:
        formatProvider
        formats
      Returns:

    - #### <T> T withFormat(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure<T> callable)

    - #### <T> T withFormat(javax.servlet.http.HttpServletResponse response, groovy.lang.Closure<T> callable)

    - #### protected java.lang.Object withFormatInternal(java.lang.Object formatProvider, java.util.LinkedHashMap<java.lang.String, java.lang.Object> formats)